SLikeNet 0.1.3

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Classes | Namespaces
DS_BPlusTree.h File Reference
`#include "DS_MemoryPool.h"`
`#include "DS_Queue.h"`
`#include <stdio.h>`
`#include "Export.h"`
`#include "memoryoverride.h"`

Go to the source code of this file.

## Classes

struct | DataStructures::Page< KeyType, DataType, order >
class | DataStructures::BPlusTree< KeyType, DataType, order >
struct | DataStructures::BPlusTree< KeyType, DataType, order >::ReturnAction

## Namespaces

namespace | DataStructures

## Class Documentation

struct DataStructures::Page

### template<class KeyType, class DataType, int order>
struct DataStructures::Page< KeyType, DataType, order >

Used in the BPlusTree. Used for both leaf and index nodes. Don't use a constructor or destructor, due to the memory pool I am using

Definition at line 50 of file DS_BPlusTree.h.

Inheritance diagram for DataStructures::Page< KeyType, DataType, order >:

Class Members
Page * | children |
DataType | data |
bool | isLeaf |
KeyType | keys |
Page< KeyType, DataType, order > * | next |
Page< KeyType, DataType, order > * | previous |
int | size |